Last Comment Bug 693658 - Firefox 10.0a1 Crash [@ mozilla::a11y::FocusManager::ProcessFocusEvent(AccEvent*) ]
: Firefox 10.0a1 Crash [@ mozilla::a11y::FocusManager::ProcessFocusEvent(AccEve...
Status: RESOLVED FIXED
: crash, regression
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: x86 Windows 7
: -- critical (vote)
: mozilla10
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 691734
  Show dependency treegraph
 
Reported: 2011-10-11 09:30 PDT by Marcia Knous [:marcia - use ni]
Modified: 2011-10-12 01:15 PDT (History)
3 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Marcia Knous [:marcia - use ni] 2011-10-11 09:30:56 PDT
Seen while looking at recent trunk crash data. Crashes started showing up using the 20111010 build. https://crash-stats.mozilla.com/report/list?signature=mozilla::a11y::FocusManager::ProcessFocusEvent(AccEvent*)

Possible pushlog regression range: http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=b4da2d439cbc&tochange=e9c620a5c85f

Comments mention sorting bookmarks with the bookmark manager and bookmarking a page.

https://crash-stats.mozilla.com/report/index/b0fb653a-ad02-4755-bdc2-29c4b2111010

Frame 	Module 	Signature [Expand] 	Source
0 	xul.dll 	mozilla::a11y::FocusManager::ProcessFocusEvent 	accessible/src/base/FocusManager.cpp:343
1 	xul.dll 	nsTArray_base<nsTArrayInfallibleAllocator>::SwapArrayElements<nsTArrayDefaultAllocator> 	obj-firefox/dist/include/nsTArray-inl.h:337
2 	xul.dll 	NotificationController::WillRefresh 	accessible/src/base/NotificationController.cpp:321
3 	xul.dll 	xul.dll@0x99170f 	
4 	xul.dll 	nsRefreshDriver::Notify 	layout/base/nsRefreshDriver.cpp:326
5 	xul.dll 	nsAppShell::ProcessNextNativeEvent 	widget/src/windows/nsAppShell.cpp:362
6 	nspr4.dll 	MD_CURRENT_THREAD 	nsprpub/pr/src/md/windows/w95thred.c:308
7 	xul.dll 	nsDocument::Release 	content/base/src/nsDocument.cpp:1712
8 	nspr4.dll 	MD_CURRENT_THREAD 	nsprpub/pr/src/md/windows/w95thred.c:308
9 	xul.dll 	nsCOMPtr_base::~nsCOMPtr_base 	obj-firefox/xpcom/build/nsCOMPtr.cpp:81
10 	nspr4.dll 	PR_Unlock 	nsprpub/pr/src/threads/combined/prulock.c:347
11 	xul.dll 	mozilla::TimeDuration::ToSeconds 	xpcom/ds/TimeStamp.cpp:63
12 	xul.dll 	nsEventQueue::GetEvent 	xpcom/threads/nsEventQueue.cpp:80
13 	xul.dll 	TimerThread::UpdateFilter 	xpcom/threads/TimerThread.cpp:222
14 	xul.dll 	nsTimerImpl::Fire 	xpcom/threads/nsTimerImpl.cpp:427
15 	xul.dll 	nsTimerEvent::Run 	xpcom/threads/nsTimerImpl.cpp:520
16 	xul.dll 	nsThread::ProcessNextEvent 	xpcom/threads/nsThread.cpp:631
17 	xul.dll 	TimerThread::RemoveTimer 	xpcom/threads/TimerThread.cpp:420
18 	xul.dll 	NS_ProcessNextEvent_P 	obj-firefox/xpcom/build/nsThreadUtils.cpp:245
19 	xul.dll 	mozilla::ipc::MessagePump::Run 	ipc/glue/MessagePump.cpp:110
20 	xul.dll 	MessageLoop::RunHandler 	ipc/chromium/src/base/message_loop.cc:201
21 	xul.dll 	MessageLoop::Run 	ipc/chromium/src/base/message_loop.cc:175
22 	msvcr90.dll 	getenv_helper_nolock 	
23 	xul.dll 	nsThreadManager::GetCurrentThread 	xpcom/threads/nsThreadManager.cpp:218
24 	xul.dll 	nsBaseAppShell::Run 	widget/src/xpwidgets/nsBaseAppShell.cpp:189
25 	xul.dll 	nsAppStartup::Run 	toolkit/components/startup/nsAppStartup.cpp:228
26 	xul.dll 	XRE_main 	toolkit/xre/nsAppRunner.cpp:3582
27 	mozutils.dll 	arena_run_alloc 	memory/jemalloc/jemalloc.c:3276
Comment 1 alexander :surkov 2011-10-11 09:38:20 PDT
should be fixed by bug 506206
Comment 2 Marco Zehe (:MarcoZ) on PTO until August 15 2011-10-11 09:45:34 PDT
This is code that was introduced in bug 691734.
Comment 3 alexander :surkov 2011-10-12 01:15:34 PDT
fixed by bug 506206

Note You need to log in before you can comment on or make changes to this bug.